Applies to :

  • Linux server with older Plesk version.

Requirements

To perform this task, you need to have :

  • IP address or hostname of the Plesk server.
  • Plesk panel access as admin.

Overview

As mentioned by parallels on their site. Plesk 8.x no longer supported by Parallels, thus we encourage customers who still using older Plesk version to give try to upgrade their Plesk to version 11.9 (latest).


Below instructions are suggested way to upgrade your Plesk server, you may change some options (choose or not to choose some packages to upgrade/install).

WARNING :

Before you proceed with upgrading your Plesk panel version. It is recommended to make at least 1 useful backup. Plesk updater tool do not have ability to undo the actions if the upgrade not successful.


Instructions

In order to obtain Plesk 11 from Plesk 8.x version, you will need to upgrade your Plesk server to 9.5.4 first. Then, later you continue the upgrade from version 9.5.4 to version 11.9 (or to latest stable version).


If your Plesk is not the latest 8.6 version, then it is recommended to go to latest Plesk 8.6 version before you upgrade to version 9.5.4. You can follow below steps to obtain Plesk 11.9 version.


1.    Upgrade Plesk to version 8.6 latest


Login to Plesk panel. Click Updater icon in Desktop or go to Server >Updater.



If you still see yellow warning icon in Plesk 8.6 version, it mean that you are not in the latest 8.6 version. There are minor software's, updater tool that need to be upgraded. If you are not in the latest Plesk 8.6 version, click Plesk 8.6 otherwise proceed to upgrade to Plesk 9.5.4 and follow the steps on Upgrade Plesk 8.6 to version 9.5.4.



Choose those with yellow warning sign (but not necessary to select all of them) especially Base packages of Plesk. Then click Install.





Click OK to proceed with the upgrade. The notification will be sent to you or administrator's email once the upgrade finished.





2.    Upgrade Plesk 8.6 to version 9.5.4


Login to Plesk panel. Click Updater icon in Desktop or go to Server >Updater.


Choose Plesk 9.5.4.





Choose those with yellow warning sign (but not necessary to select all of them) especially Base packages of Plesk. Then click Install.


Click OK to proceed with the upgrade. The notification will be sent to you or administrator’s email once the upgrade finished. (In the picture shows the sample of packages that will be upgraded)





3.    Upgrade Plesk 9.5.4 to version 11.9 (latest).


Login to Plesk panel. In Home, click Updates icon.





Updates icon will bring you to new updater panel in port 8447 (If the port not accessible, please contact our support to help you to open the port on our shared firewall). Click Install or Upgrade Product.





When it asked you Upgrade to version, choose Parallels Plesk Panel 11.9 (stable). Click Continue.





If your license not supported for upgrade or the VPS failed to contact licensing server. You will see an error. You can tick I confirm that I want to continue upgrading and click Continue to continue the upgrade process. The updater may detect another issues and you may need to resolve the problem before proceed with the upgrade.






When the upgrade running, the panel will shows you the real time logs of the process.





The upgrade is completed.




References